Bug 541346 - Review Request: polkit-kde - PolicyKit integration for KDE Desktop
Review Request: polkit-kde - PolicyKit integration for KDE Desktop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 10:52 EST by Jaroslav Reznik
Modified: 2010-01-22 13:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-22 13:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-11-25 10:52:53 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/polkit-kde/polkit-kde.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/polkit-kde/polkit-kde-0.95-0.1.20091125svn.fc12.src.rpm
Description: Provides Policy Kit Authentication Agent that nicely fits to KDE.
Comment 1 Jaroslav Reznik 2009-11-25 10:55:58 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1830517

RPMLINT
polkit-kde.spec:23: W: unversioned-explicit-provides PolicyKit-authentication-agent

Comment: polkit-gnome does not specify version neither

What about obsoletes? PolicyKit-kde?
Comment 2 Kevin Kofler 2009-11-25 11:00:45 EST
To answer your question:
1. Obsoletes: PolicyKit-kde should be moved here from kdebase-workspace.
2. kdebase-workspace should get Requires: polkit-kde instead of PolicyKit-authentication-agent as only polkit-kde will run in KDE.
3. polkit-gnome needs to be switched back to being disabled in KDE (as it originally was).
These 3 changes need to happen at the same time to prevent chaos.
Comment 3 Kevin Kofler 2009-11-25 11:01:29 EST
#1 issue in this package: this needs a .desktop file so it actually get started!
Comment 4 Rex Dieter 2009-11-25 11:06:50 EST
+1 to what Kevin said, though 2/3 is arguably for f13 only (can provide as tech-preview/whatever to those who really want it in f12, but they'll need to manage the integration by hand, similar to how nm-applet/knetworkmanager is in f12).

I'll try to take a closer look here soon.
Comment 5 Kevin Kofler 2009-11-25 11:16:44 EST
Doing 1. without 2. and 3. is not a good idea, it will lead to polkit-kde getting dragged in on upgrades from F11, but not new installs. These changes are all dependent on each other and on 4. adding a .desktop file as per comment #3. Doing parts of it doesn't make sense.

In fact I'd argue that shipping this package without doing 4. makes no sense at all and that 4. is a recipe for chaos without 3., which requires 1. and 2. to fix the upgrade path.

So shipping this package for F12 is only going to work properly if we do all 4 changes from comment #2 and comment #3. And I don't see why we wouldn't do that. There are no worries about user data as all the data/configuration is in the polkit backend. It should be a drop-in replacement.
Comment 6 Rex Dieter 2009-11-25 11:25:56 EST
Ah, good point.  Maybe it is best an all-or-nothing proposition then.
Comment 7 Jaroslav Reznik 2009-11-30 10:28:30 EST
(In reply to comment #3)
> #1 issue in this package: this needs a .desktop file so it actually get
> started!  

Ops, you're right! How should obsoletes look then? As in kdebase-workspace there's %{version}-%{release} part - is it OK just to match current kdebase-workspace version/release?
Comment 8 Kevin Kofler 2009-12-03 08:26:25 EST
Yes, just copy the Obsoletes line from kdebase-workspace.
Comment 9 Kevin Kofler 2009-12-09 18:45:21 EST
Ping? What happened to this review request? Jaroslav, can you please add that Obsoletes line and that autostart .desktop file (either with OnlyShowIn=KDE; or in the KDE-specific /usr/share/autostart, of course) so we can continue?
Comment 10 Kevin Kofler 2009-12-09 18:46:28 EST
(I can take care of adjusting kdebase-workspace and polkit-gnome once this is in.)
Comment 11 Jaroslav Reznik 2009-12-11 04:49:02 EST
Hi Kevin,
sorry for delay. I'm still not sure how to handle obsoletes - in kdebase-workspace these are versioned. Rex, could you please look at your SPEC which version I should set? Thanks.
Comment 12 Kevin Kofler 2009-12-11 04:58:10 EST
I guess Obsoletes: PolicyKit-kde < 4.5 should be safe. (We're not going to provide 4.5 for F11, so there shouldn't be a PK-0.9-based PolicyKit-kde higher than 4.4.x.)
Comment 13 Jaroslav Reznik 2009-12-11 07:31:21 EST
Desktop file added + obsoletes.

http://rezza.hofyland.cz/fedora/packages/polkit-kde/polkit-kde-0.95-0.2.20091125svn.fc12.src.rpm
Comment 14 Rex Dieter 2009-12-23 14:26:01 EST
I'll take a look,

Not a blocker, looks like we have an upstream release/tarball, woo,
ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/polkit-kde-1-0.95.1.tar.bz2
Comment 15 Rex Dieter 2009-12-23 14:43:39 EST
Simple spec.

$ rpmlint *.rpm */*.rpm
polkit-kde.src:24: W: unversioned-explicit-provides PolicyKit-authentication-agent
polkit-kde.x86_64: W: obsolete-not-provided PolicyKit-kde
polkit-kde.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/polkit-kde-authentication-agent-1.desktop
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

License: OK

Source: OK (better, when using verifiable upstream tarball)

macros: OK

Obsoletess/Provides: OK


I see now issues or blockers, looks good,

APPROVED
Comment 16 Jaroslav Reznik 2010-01-04 06:33:40 EST
Thanks Rex!
Sorry for delay - so what about F12? Do we really need it? F13 should be our target, for interested people it can be in kde repo for F12...
Comment 17 Jaroslav Reznik 2010-01-04 10:57:11 EST
New Package CVS Request
=======================
Package Name: polkit-kde
Short Description: PolicyKit integration for KDE Desktop
Owners: jreznik rnovacek ltinkl than rdieter kkofler
Branches: F-12
InitialCC:
Comment 18 Kevin Fenzi 2010-01-04 15:13:18 EST
cvs done.
Comment 19 Rex Dieter 2010-01-22 13:32:58 EST
built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.